ColorScheme (JavaFX 25)
Description: declaration: module: javafx.graphics, package: javafx.application, enum: ColorScheme

# Enum Class ColorScheme

java.lang.Object
java.lang.Enum<ColorScheme>
javafx.application.ColorScheme

All Implemented Interfaces:
  `Serializable, Comparable<ColorScheme>, Constable`

public enum ColorScheme extends Enum<ColorScheme>
Defines the color scheme of the user interface, which specifies whether applications should prefer light text on dark backgrounds, or dark text on light backgrounds.

Since:
  22
See Also:
  - `Platform.Preferences.colorSchemeProperty()`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DARK`
  A dark color scheme uses dark backgrounds and bright text.
  `LIGHT`
  A light color scheme uses bright backgrounds and dark text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ColorScheme`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ColorScheme[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIGHT

    public static final ColorScheme LIGHT
    A light color scheme uses bright backgrounds and dark text.

  - ### DARK

    public static final ColorScheme DARK
    A dark color scheme uses dark backgrounds and bright text.

- ## Method Details

  - ### values

    public static ColorScheme[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ColorScheme valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null